# Supported blockchains

Kima supports a variety of EVM-compatible Layer 1 and Layer 2 chains, as well as Solana, and will ultimately allow the swift and secure transfer of value between the following blockchains:

| Chain               | Short Name | Chain ID                                   |
| ------------------- | ---------- | ------------------------------------------ |
| Arbitrum            | ARB        | [42161](https://chainlist.org/chain/42161) |
| Avalanche           | AVX        | [43114](https://chainlist.org/chain/43114) |
| Base                | BASE       | [8453](https://chainlist.org/chain/8453)   |
| Binance Smart chain | BSC        | [56](https://chainlist.org/chain/56)       |
| Berachain           | BERA       | [80094](https://chainlist.org/chain/80094) |
| Ethereum            | ETH        | [1](https://chainlist.org/chain/1)         |
| Optimism            | OPT        | [10](https://chainlist.org/chain/10)       |
| Polygon             | POL        | [137](https://chainlist.org/chain/137)     |
| Solana              | SOL        |                                            |
| Tron                | TRX        | [728126428](https://tronlink.org/)         |
| Worldchain          | WLD        | [480](https://chainlist.org/chain/480)     |
| Bitcoin             | BTC        |                                            |
| Credit Card         | FIAT       |                                            |
| Bank Account        | FIAT       |                                            |

The short names are used in various API queries. Most are shared across mainnet and testnet, while some can be environment-specific. For a full environment-wide chain inventory, use `get_chains`. For route-specific destinations from a given origin chain, use `get_available_chains/{originChain}`. Click on the chain ID link to visit Chainlist.org and add the chain to your wallet.

> ℹ️ Credit Cards and Bank Accounts are currently supported as the origin network- off ramping to come in a future release. ℹ️ In backend request payloads, FIAT rails may be represented as `CC` and `BANK`, then normalized to `FIAT` before submission. ℹ️ Documentation uses `Berachain` and `Berachain Bepolia` as display names. API responses may use `Bera` or `Berachain`, while the stable short name remains `BERA`.

### Testnet support <a href="#testnet-support" id="testnet-support"></a>

Kima is currently available on the following testnets, which can be used for development and/or testing in the Kima Demo App:

| Chain                   | Short Name | Chain ID                                         |
| ----------------------- | ---------- | ------------------------------------------------ |
| Arbitrum Sepolia        | ARB        | [421614](https://chainlist.org/chain/421614)     |
| Avalanche Fuji          | AVX        | [43113](https://chainlist.org/chain/43113)       |
| Base Sepolia            | BASE       | [84532](https://chainlist.org/chain/84532)       |
| Berachain Bepolia       | BERA       | [80069](https://chainlist.org/chain/80069)       |
| BNB Smart Chain Testnet | BSC        | [97](https://chainlist.org/chain/97)             |
| Bitcoin Testnet         | BTC        |                                                  |
| Ethereum Sepolia        | ETH        | [11155111](https://chainlist.org/chain/11155111) |
| Optimism Sepolia        | OPT        | [11155420](https://chainlist.org/chain/11155420) |
| Polygon Amoy            | POL        | [80002](https://chainlist.org/chain/80002)       |
| Solana Devnet           | SOL        |                                                  |
| Tron Nile Testnet       | TRX        | [3448148188](https://tronlink.org/)              |

### Querying for Supported Chains

#### Full environment chain inventory

Use `get_chains` if you want the full list of chains available in a given environment:

* Mainnet: `https://api.kima.network/kima-finance/kima-blockchain/chains/get_chains`
* Testnet: `https://api.sardis.kima.network/kima-finance/kima-blockchain/chains/get_chains`

Response:

* `Chains`: string\[]: the list of supported chain short names for that environment

```json
{
  "Chains": [
    "ETH",
    "POL",
    "AVX",
    "SOL",
    "BSC",
    "ARB",
    "OPT",
    "TRX",
    "BASE",
    "BERA",
    "FIAT",
    "WLD",
    "BTC"
  ]
}
```

#### Route-specific destinations

Use `get_available_chains/{originChain}` if you want the set of destination chains available from a specific origin chain:

* Mainnet: `https://api.kima.network/kima-finance/kima-blockchain/chains/get_available_chains/{originChain}`
* Testnet: `https://api.sardis.kima.network/kima-finance/kima-blockchain/chains/get_available_chains/{originChain}`

Params

* `originChain` (string): the starting chain short name (see above)

Response

* `Chains`: string\[]: the list of chain short names which can be bridged to from the origin chain

```json
{
  "Chains": [
    "POL",
    "AVX",
    "SOL",
    "BSC",
    "ARB",
    "OPT",
    "TRX",
    "BASE",
    "WLD"
  ]
}
```

The example above reflects a mainnet query using `originChain=ETH` on March 10, 2026.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kima.network/kima-network/supported-assets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
